List Collections
curl --request GET \
--url https://public-api.frictio.ai/v1/collections \
--header 'X-Api-Key: <api-key>' \
--header 'X-Workspace-Id: <x-workspace-id>'import requests
url = "https://public-api.frictio.ai/v1/collections"
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', 'X-Api-Key': '<api-key>'}
};
fetch('https://public-api.frictio.ai/v1/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "d3d5273b-b103-4a5a-b5d0-bd95e5a81f87",
"name": "ACME renewal",
"description": "ACME更新案件の会議",
"visibility": "workspace",
"created_at": "2026-07-01T03:00:00.000Z",
"updated_at": "2026-07-10T08:30:00.000Z"
}
],
"pagination": {
"next_cursor": "eyJpZCI6MTIzfQ=="
}
}API Reference
List Collections
ワークスペース内で公開中かつ有効なコレクションを一覧で取得します。 作成日時の降順、同時刻の場合はIDの降順で安定して返却されます。 非公開、無効、別ワークスペースのコレクションは返却されません。
GET
/
v1
/
collections
List Collections
Authorizations
Headers
ワークスペースID
Query Parameters
取得件数の上限(1〜50、デフォルト30)
Required range:
1 <= x <= 50ページネーションカーソル。レスポンスの next_cursor をそのまま指定してください。